org.apache.solr.client.solrj.io.eval

## Class OrEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.RecursiveEvaluator
  - - org.apache.solr.client.solrj.io.eval.RecursiveBooleanEvaluator
    - - org.apache.solr.client.solrj.io.eval.OrEvaluator

All Implemented Interfaces:
  Serializable, ManyValueWorker, StreamEvaluator, ValueWorker, Expressible

    public class OrEvaluator
    extends RecursiveBooleanEvaluator
    implements ManyValueWorker

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.eval.RecursiveBooleanEvaluator

`RecursiveBooleanEvaluator.BooleanChecker, RecursiveBooleanEvaluator.Checker, RecursiveBooleanEvaluator.NullChecker, RecursiveBooleanEvaluator.NumberChecker, RecursiveBooleanEvaluator.StringChecker`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`constructingFactory, containedEvaluators, nodeId, streamContext`

### Constructor Summary

Constructors
Constructor and Description
`OrEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected RecursiveBooleanEvaluator.Checker` `constructChecker(Object fromValue)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveBooleanEvaluator

`doWork, normalizeInputType`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.RecursiveEvaluator

`evaluate, getStreamContext, normalizeOutputType, recursivelyEvaluate, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.ManyValueWorker

`doWork`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### OrEvaluator

    public OrEvaluator(StreamExpression expression,
                       StreamFactory factory)
                throws IOException

Throws:
  `IOException`

### Method Detail

#### constructChecker

    protected RecursiveBooleanEvaluator.Checker constructChecker(Object fromValue)
                                                          throws IOException

Specified by:
  `constructChecker` in class `RecursiveBooleanEvaluator`
Throws:
  `IOException`